#
# spec file for package usbauth-notifier
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017-2018 Stefan Koch <stefan.koch10@gmail.com>
# Copyright (c) 2015 SUSE LLC. All Rights Reserved.
# Author: Stefan Koch <skoch@suse.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           usbauth-notifier
Version:        1.0.2
Summary:        Notifier for USB Firewall to use with desktop environments
Url:            https://github.com/kochstefan/usbauth-all/tree/master/usbauth-notifier

Release:        1%{?dist}
License:        GPLv2

# Generate a source tarball:
# git clone https://github.com/kochstefan/usbauth-all.git
# cd usbauth-all
# git checkout vVERSION
# tar cvfj usbauth-notifier-VERSION.tar.bz2 usbauth-notifier
Source0:        %{name}-%{version}.tar.bz2

Requires:       usbauth
BuildRequires:  gcc
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  libnotify-devel
BuildRequires:  libtool
BuildRequires:  libudev-devel
BuildRequires:  libusbauth-configparser-devel

Requires(pre):  shadow-utils
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig

%description
A notifier for the usbauth firewall against BadUSB attacks.
The user could manually allow or deny USB devices.

%prep
%setup -q -n %{name}

%build
autoreconf -f -i
%configure
%make_build

%pre
getent group usbauth >/dev/null || groupadd -r usbauth
getent group usbauth-notifier >/dev/null || groupadd -r usbauth-notifier
exit 0

%install
%make_install
%find_lang %name

%files -f %name.lang
%license COPYING
%doc README
%dir %_sysconfdir/xdg/autostart
%_sysconfdir/xdg/autostart/usbauth-notifier.desktop
%attr(04750,root,usbauth) %_libexecdir/usbauth-npriv
%dir %attr(00750,root,usbauth-notifier) %_libexecdir/usbauth-notifier
%attr(02755,root,usbauth) %_libexecdir/usbauth-notifier/usbauth-notifier
%_mandir/man1/usbauth-notifier.1*
%_mandir/man1/usbauth-npriv.1*


%changelog
* Mon Sep 30 2019 stefan.koch10@gmail.com - 1.0.2-1
- move binaries from bindir to libexecdir

* Sat Jan 12 2019 stefan.koch10@gmail.com - 1.0-1
- initial notifier package to use with desktop environments for usbauth USB Firewall
